<?php

namespace App\Domain\Conversion\Domain\Model;

final readonly class ConversionResult
{
    public function __construct(
        private string $convertedFilePath,
        private string $outputFilename,
        private int $originalFileSize,
        private int $convertedFileSize
    ) {
    }

    public function getConvertedFilePath(): string
    {
        return $this->convertedFilePath;
    }

    public function getOutputFilename(): string
    {
        return $this->outputFilename;
    }

    public function getOriginalFileSize(): int
    {
        return $this->originalFileSize;
    }

    public function getConvertedFileSize(): int
    {
        return $this->convertedFileSize;
    }
}
